<?php

class MediaAttachmentParserTSpeedTest extends CTestCase
{
  public function testHasRectangle()
  {
    $this->assertTrue($this->factoryParser()->hasRectangle());
  }

  public function testParseRectangle()
  {
    $this->assertInstanceOf('Rectangle', $this->factoryParser()->getRectangle());
  }

  private function factoryParser()
  {
    return new MediaAttachmentParserTSpeed(file_get_contents(dirname(__FILE__).'/../fixtures/tspeedblob.xml'));
  }

}
